org.gradle.jvm.toolchain

## Interface LocalJava

- All Superinterfaces:
    Named

      @Incubating
      public interface LocalJava
      extends Named

  A local JDK, JRE or Java 9+ installation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getPath()` Returns the path to the local Java installation.
    `void` | `setPath(File path)` Sets the path to the local Java installation.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getPath

          File getPath()

      Returns the path to the local Java installation.

    - #### setPath

          void setPath(File path)

      Sets the path to the local Java installation.